Subject: RE: [pim] RP selection algorithm and BSR

From: Jung Cyndi-ACJ099 <[email-masked]>
Date: Thu, 1 Nov 2001 21:02:25 -0600

Our implementation is a continuation of the 3Com router - when 
3Com abandoned the enterprise router in March 2000 it became a 
Motorola product.  We continue to develop the software and hardware.
We developed PIM-SM to support a Motorola network design that 
relies heavily on IP multicast for group voice communications
- think radio and you'll soon find yourself thinking Motorola.

As it turns out, we don't have multiple RPs covering the same group
prefix, so this change is not likely to perturb our networks.  But we 
certainly use a BSR - the flooding is a bear but it does work.

Cyndi

-----Original Message-----
From: Pavlin Radoslavov [mailto:[email-masked]]
Sent: Thursday, November 01, 2001 5:59 PM
To: Jung Cyndi-ACJ099
Cc: 'Mark Handley'; [email-masked]
Subject: Re: [pim] RP selection algorithm and BSR 

> > I don't believe BSR is widely used, so backward compatibility
> > shouldn't be a big deal.  It's probably simpler to code the new rules
> > rather than retain all the prefixes of different lengths that might
> > match, and hash between those.
> >
> > Opinions?
> 
> > Cheers,
> > 	Mark
> 
> We certainly use BSR in our networks, and would greatly appreciate a backwards
> compatible solution.

Just curious, whose vendor's implementation do you use.

Thanks,
Pavlin

---

From: Pavlin Radoslavov <[email-masked]>
Date: Thu, 01 Nov 2001 21:01:24 -0800

> prefix, so this change is not likely to perturb our networks.  But we 

Exactly. I'd like to emphasize that only if you have multiple RPs
covering overlapping prefixes and those prefixes are of DIFFERENT
size (e.g., RP1=224.0.0.0/4 and RP2=224.0.0.0/16), then you may have
a problem if you mix the original with the proposed solution.
But if you are doing this, very likely you have to engineer your RP
preferences as well, so you have to be really on the cutting-edge of
PIM-SM configuration and deployment :)

IMHO, I think that when it comes to configuring your network with
multiple RP prefixes and preferences, people would expect that
the longest prefix RP has the highest priority for that prefix,
so the main reason I would support the newer solution is that it
would make it less likely to misconfigure your network.

> certainly use a BSR - the flooding is a bear but it does work.

That's interesting. Do you have some (approximated) numbers and/or can
you elaborate a little bit more on that.

Pavlin